// Video controls enhancement
document.querySelectorAll('video').forEach(video => {
  video.addEventListener('play', () => {
    video.classList.add('playing');
  });
  
  video.addEventListener('pause', () => {
    video.classList.remove('playing');
  });
});

// Lazy loading for videos
const videoObserver = new IntersectionObserver((entries) => {
  entries.forEach(entry => {
    if (entry.isIntersecting) {
      const video = entry.target;
      video.src = video.dataset.src;
      videoObserver.unobserve(video);
    }
  });
}, { threshold: 0.1 });

document.querySelectorAll('video[data-src]').forEach(video => {
  videoObserver.observe(video);
});